archlinux:
  stage: test
  image: archlinux:base-devel
  before_script:
    - pacman -Sy cmake git wxwidgets-gtk3 --noconfirm --needed
  script:
    - git submodule init && git submodule update && mkdir build && cd build && cmake ../ && make
  artifacts:
    when: on_failure
    paths:
    - build/

debian:
  stage: test
  image: debian:stable
  before_script:
    - apt update && apt -y install cmake git build-essential libwxgtk3.0-gtk3-dev
  script:
    - git submodule init && git submodule update && mkdir build && cd build && cmake ../ && make
  artifacts:
    when: on_failure
    paths:
    - build/